# ManyToManyLinkedWorker Class Reference
[IdentifiableObject collections handlers]

Inheritance diagram for ManyToManyLinkedWorker:
[legend]

List of all members.

## Protected Member Functions

| makeInsertQuery ($childId)
| makeDeleteQuery ($delete)
| only unlinking, we don't want to drop original object
| joinHelperTable (SelectQuery $query)

## Detailed Description

Definition at line 15 of file ManyToManyLinkedWorker.class.php.

## Member Function Documentation

ManyToManyLinkedWorker::joinHelperTable | ( | SelectQuery $ | query | ) | `[protected]`

Returns:
  SelectQuery

Definition at line 61 of file ManyToManyLinkedWorker.class.php.

References Expression::eq(), and SelectQuery::hasJoinedTable().

Referenced by ManyToManyLinkedLazy::makeFetchQuery(), and ManyToManyLinkedFull::makeFetchQuery().

Here is the call graph for this function:

ManyToManyLinkedWorker::makeDeleteQuery | ( | $ | delete | ) | `[protected]`

only unlinking, we don't want to drop original object

Returns:
  DeleteQuery

Definition at line 38 of file ManyToManyLinkedWorker.class.php.

References OSQL::delete(), Expression::eq(), and Expression::in().

Referenced by ManyToManyLinkedLazy::sync(), and ManyToManyLinkedFull::sync().

Here is the call graph for this function:

ManyToManyLinkedWorker::makeInsertQuery | ( | $ | childId | ) | `[protected]`

Returns:
  InsertQuery

Definition at line 20 of file ManyToManyLinkedWorker.class.php.

References OSQL::insert().

Referenced by ManyToManyLinkedFull::sync().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/UnifiedContainer/ManyToManyLinkedWorker.class.php